%global pypi_name customtkinter


Name:           python-%{pypi_name}
Version:        5.1.2
Release:        1%{?dist}
Summary:        Python UI library based on tkinter
License:        CC0-1.0
URL:            https://github.com/TomSchimansky/CustomTkinter
Source:         %{url}/archive/v%{version}/CustomTkinter-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-tkinter

%global _description %{expand:
CustomTkinter is a Python UI library based on tkinter, which provides new,
modern and fully customizable widgets.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3-tkinter

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n CustomTkinter-%{version}


%generate_buildrequires
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md
%doc Readme.md


%changelog
* Fri Mar 17 2023 David Ward <david.ward@ll.mit.edu> - 1.28-1
- Initial package.
